spring:
  main:
    allow-bean-definition-overriding: true
  profiles:
    active: dev
  application:
    name: rw-cx-question
  jta:
    atomikos:
      properties:
        log-base-name: rwbusinesslog
  servlet:
    multipart:
      max-file-size: 100MB
      max-request-size: 1000MB
server:
  port: 9699

management:
  endpoints:
    web:
      exposure:
        include: "*"
feign:
  client:
    config:
      default:
        connectTimeout: 5000
        readTimeout: 5000
  sentinel:
    enabled: true
jwt:
  token-header: Authorization
  expire: 14400
  rsa-secret: xx1WET12^%3^(WE45
client:
  id: ace-auth
  secret: 123456
  token-header: x-client-token
  expire: 14400
  rsa-secret: x2318^^(*WRYQWR(QW&T
mybatis-plus:
  configuration:
    #    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
    log-impl: org.apache.ibatis.logging.slf4j.Slf4jImpl
    map-underscore-to-camel-case: false
  #basepackage: com.rongwei.rwadmin.system.dao
  xmlLocation: classpath:mybatis/**/*Dao.xml,classpath*:mapper/*.xml
  mapperLocations: "classpath:mybatis/**/*Dao.xml"
  typeAliasesPackage: com.rongwei.bsentity.domain
  global-config:
    db-config:
      logic-delete-value: 1
      logic-not-delete-value: 0
      column-like: true
